Eclipse Platform Release 3.7

## org.eclipse.core.filebuffers
Interface IAnnotationModelFactory

All Known Implementing Classes:
  ResourceMarkerAnnotationModelFactory

    public interface IAnnotationModelFactory

Factory for text file buffer annotation models. Used by the text file buffer manager to create the annotation model for a new text file buffer.

This interface is the expected interface for extensions provided for the `"org.eclipse.core.filebuffers.annotationModelCreation"` extension point.

Since:
  3.0

Method Summary
`IAnnotationModel` `createAnnotationModel(IPath location)` Creates and returns a new annotation model.

Method Detail

### createAnnotationModel

    IAnnotationModel createAnnotationModel(IPath location)

  Creates and returns a new annotation model.

  Parameters:
    `location` - the normalized location
  Returns:
    a new annotation model

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.